Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.signal.SignalEvent
Class SignalEvent

    java.lang.Object
      |
      +--cnrg.itx.signal.SignalEvent.SignalEvent

Direct Known Subclasses:
  AbortSignalEvent, AliveSignalEvent, DialSignalEvent, DTMFSignalEvent, HangupSignalEvent, InviteSignalEvent

public class SignalEvent
extends java.lang.Object

This class represents the base class for all SignalEvents. SignalEvents inform the application about incoming requests from peer applications and to support complex event driven applications.

Constructor Summary
`SignalEvent()` Default Constructor
`SignalEvent(InvitePacket ip)` Constructor
`SignalEvent(InvitePacket ip, SignalConnection sc)` Constructor
`SignalEvent(InvitePacket ip, SignalConnection sc, DesktopSignaling ds)` Constructor

Method Summary
`java.lang.String` | `getDescription()`
`DesktopSignaling` | `getDesktopSignaling()`
`InvitePacket` | `getInvitePacket()`
`UserID` | `getSenderID()`
`Location` | `getSenderLoc()`
`SignalConnection` | `getSignalConnection()`
`void` | `setDesktopSignaling(DesktopSignaling ds)` This method sets the DesktopSignaling object
`void` | `setSignalConnection(SignalConnection sc)` This method sets the SignalConnection object to be used

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignalEvent

    public SignalEvent()

  Default Constructor
  Parameters:
    `None.` -

### SignalEvent

    public SignalEvent(InvitePacket ip)

  Constructor
  Parameters:
    `ip` - is the InvitePacket received from the peer

### SignalEvent

    public SignalEvent(InvitePacket ip,
                       SignalConnection sc)

  Constructor
  Parameters:
    `ip` - is the InvitePacket received from the peer
    `sc` - is the SignalConnection object to used

### SignalEvent

    public SignalEvent(InvitePacket ip,
                       SignalConnection sc,
                       DesktopSignaling ds)

  Constructor
  Parameters:
    `ip` - is the InvitePacket received from the peer
    `sc` - is the SignalConnection object to used
    `ds` - is the DesktopSignaling handle

Method Detail

### getInvitePacket

    public InvitePacket getInvitePacket()

  Returns:
    the InvitePacket received from the peer application

### getSenderID

    public UserID getSenderID()

  Returns:
    the peer's UserID

### getSenderLoc

    public Location getSenderLoc()

  Returns:
    the peer's Location object
  See Also:
    `Location`

### getDescription

    public java.lang.String getDescription()

  Returns:
    the peer's string description

### getSignalConnection

    public SignalConnection getSignalConnection()

  Returns:
    the SignalConnection object

### getDesktopSignaling

    public DesktopSignaling getDesktopSignaling()

  Returns:
    the DesktopSignaling object

### setSignalConnection

    public void setSignalConnection(SignalConnection sc)

  This method sets the SignalConnection object to be used
  Parameters:
    `sc` - is the SignalConnection object
  Returns:
    void

### setDesktopSignaling

    public void setDesktopSignaling(DesktopSignaling ds)

  This method sets the DesktopSignaling object
  Parameters:
    `ds` - is the DesktopSignaling object
  Returns:
    void

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD